<html lang="en">
<head>
<title>About sketch - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="index.html#Top" title="Top">
<link rel="next" href="Introduction-by-example.html#Introduction-by-example" title="Introduction by example">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="About-sketch"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Introduction-by-example.html#Introduction-by-example">Introduction by example</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="index.html#Top">Top</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">1 About sketch</h2>

<ul class="menu">
<li><a accesskey="1" href="Reporting-bugs.html#Reporting-bugs">Reporting bugs</a>:               Let use know what's wrong! 
<li><a accesskey="2" href="Contributions.html#Contributions">Contributions</a>:                How you can help.... 
</ul>

<p><code>Sketch</code> is a small, simple system for producing line drawings of
two- or three-dimensional objects and scenes.  It began as a way to
make illustrations for a textbook after we could find no suitable
tool for this purpose.  Existing scene processors emphasized GUIs
and/or photo-realism, both un-useful to us.  We wanted to produce
finely wrought, mathematically-based illustrations with no extraneous
detail.

   <p><code>Sketch</code> accepts a tiny scene description language and generates
<code>PSTricks</code> or <code>TikZ/PGF</code> code for LaTeX.  The
<code>sketch</code> language is similar to <code>PSTricks</code>, making it easy
to learn for current <code>PSTricks</code> users.  See
<a name="index-PSTricks-1"></a><tt>www.pstricks.de</tt> for information on <code>PSTricks</code>. 
<code>TikZ/PGF</code> are also very similar except for details of syntax. 
See
<a name="index-TikZ_002fPGF-2"></a><tt>http://sourceforge.net/projects/pgf</tt>.  One can easily lay raw
<code>PSTricks</code> or <code>TikZ/PGF</code> output over, in, or under
<code>sketch</code> drawings, providing the full power of LaTeX text and
mathematics formatting in a three-dimensional setting.

   </body></html>

